pritunl/pritunl 软件分析报告

基础信息

项目名称:pritunl/pritunl

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1755532342680383488/1755532342810406912

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
lodash 存在拒绝服务漏洞 拒绝服务 MPS-2019-1228 CVE-2018-16487 中危
lodash 不加限制或调节的资源分配 MPS-2019-8123 CVE-2019-1010266 中危
lodash 原型污染漏洞 拒绝服务 MPS-2019-8636 CVE-2019-10744 严重
Ajv v6.12.2 输入验证错误漏洞 MAID MPS-2020-10525 CVE-2020-15366 中危
grunt 代码注入漏洞 资源默认不安全 MPS-2020-12425 CVE-2020-7729 高危
lodash 原型污染 MPS-2020-15679 CVE-2020-8203 高危
Cowboy Getobject 安全漏洞 原型污染 MPS-2020-18070 CVE-2020-28282 严重
minimist 原型污染漏洞 原型污染 MPS-2020-3516 CVE-2020-7598 中危
lodash 拒绝服务漏洞 拒绝服务 MPS-2021-2574 CVE-2020-28500 中危
lodash 命令注入漏洞 代码注入 MPS-2021-2638 CVE-2021-23337 高危
Ruy Adorno hosted-git-info 正则表达式拒绝服务漏洞 拒绝服务 MPS-2021-3400 CVE-2021-23362 中危
minimist 安全漏洞 原型污染 MPS-2021-38405 CVE-2021-44906 严重
trim-newlines 存在拒绝服务漏洞 拒绝服务 MPS-2021-7398 CVE-2021-33623 高危
shelljs 权限管理不当 MPS-2022-0508 CVE-2022-0144 高危
js-yaml 存在拒绝服务漏洞 拒绝服务 MPS-2022-13820 中危
js-yaml 代码注入 MPS-2022-13822 高危
lodash 拒绝服务 MPS-2022-13841 高危
lodash 拒绝服务 MPS-2022-13842 高危
Grunt 路径遍历漏洞 路径遍历 MPS-2022-2996 CVE-2022-0436 中危
Express 中的 qs 模块存在原型污染漏洞 原型污染 MPS-2022-3967 CVE-2022-24999 高危
node-semver 安全漏洞 ReDoS MPS-2022-5166 CVE-2022-25883 高危
Python 安全漏洞 ReDoS MPS-2022-57238 CVE-2022-40897 中危
minimatch 资源管理错误漏洞 拒绝服务 MPS-2022-59845 CVE-2022-3517 高危
Grunt 安全漏洞 检查时间与使用时间(TOCTOU)的竞争条件 MPS-2022-9621 CVE-2022-1537 高危
tough-cookie 安全漏洞 原型污染 MPS-2023-5130 CVE-2023-26136 严重
request SSRF防御绕过漏洞 SSRF MPS-2023-7722 CVE-2023-28155 中危
tough-cookie 原型污染 MPS-esyq-56vx 中危

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
getobject 0.1.0 1.0.0 间接依赖 建议修复
js-yaml 3.5.5 3.13.1 间接依赖 建议修复
minimist 1.2.0 1.2.6 间接依赖 建议修复
lodash 4.17.10 4.17.21 间接依赖 建议修复
trim-newlines 1.0.0 3.0.1 间接依赖 建议修复
tough-cookie 2.3.4 4.1.3 间接依赖 建议修复
grunt 1.0.3 1.5.3 直接依赖 建议修复
hosted-git-info 2.7.1 2.8.9 间接依赖 建议修复
minimatch 3.0.4 3.0.5 间接依赖 建议修复
qs 6.5.2 6.5.3 间接依赖 建议修复
shelljs 0.3.0 0.8.5 间接依赖 建议修复
request 2.87.0 间接依赖 可选修复
semver 5.5.0 7.5.2 间接依赖 可选修复
setuptools 39.2.0 65.5.1 间接依赖 可选修复
ajv 5.5.2 6.12.3 间接依赖 可选修复

许可证风险

许可证类型 相关组件 许可证风险
ISC 19
MIT 118
Apache-2.0 10
BSD-3-Clause 4
BSD-2-Clause 6
BSD-like 1
自定义许可证 1

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
inflight 1.0.6 间接依赖 npm
safe-buffer 5.1.2 间接依赖 npm
chalk 2.4.1 间接依赖 npm
core-util-is 1.0.2 间接依赖 npm
aws-sign2 0.7.0 间接依赖 npm
http-signature 1.2.0 间接依赖 npm
get-stdin 4.0.1 间接依赖 npm
inherits 2.0.3 间接依赖 npm
mime-types 2.1.19 间接依赖 npm
has-flag 3.0.0 间接依赖 npm
signal-exit 3.0.2 间接依赖 npm
balanced-match 1.0.0 间接依赖 npm
findup-sync 0.3.0 间接依赖 npm
object-assign 4.1.1 间接依赖 npm
punycode 1.4.1 间接依赖 npm
uuid 3.3.2 间接依赖 npm
date-now 0.1.4 间接依赖 npm
shelljs 0.3.0 间接依赖 npm
typedarray 0.0.6 间接依赖 npm
file-sync-cmp 0.1.1 间接依赖 npm
redent 1.0.0 间接依赖 npm
camelcase-keys 2.1.0 间接依赖 npm
grunt-contrib-clean 1.1.0 直接依赖 npm
grunt-legacy-log 2.0.0 间接依赖 npm
klaw 1.3.1 间接依赖 npm
throttleit 1.0.0 间接依赖 npm
through 2.3.8 间接依赖 npm
exit 0.1.2 间接依赖 npm
validate-npm-package-license 3.0.3 间接依赖 npm
spdx-expression-parse 3.0.0 间接依赖 npm
phantom 4.0.12 间接依赖 npm
performance-now 2.1.0 间接依赖 npm
hooker 0.2.3 间接依赖 npm
strip-json-comments 1.0.4 间接依赖 npm
normalize-package-data 2.4.0 间接依赖 npm
oauth-sign 0.8.2 间接依赖 npm
string_decoder 0.10.31 间接依赖 npm
eyes 0.1.8 间接依赖 npm
jsonfile 2.4.0 间接依赖 npm
fs.realpath 1.0.0 间接依赖 npm
asynckit 0.4.0 间接依赖 npm
async 1.5.2 间接依赖 npm
request 2.87.0 间接依赖 npm
iconv-lite 0.4.23 间接依赖 npm
extend 3.0.2 间接依赖 npm
tunnel-agent 0.6.0 间接依赖 npm
jsprim 1.4.1 间接依赖 npm
concat-stream 1.6.2 间接依赖 npm
domutils 1.5.1 间接依赖 npm
lodash 4.17.10 间接依赖 npm
form-data 2.3.2 间接依赖 npm
grunt-legacy-log-utils 2.0.1 间接依赖 npm
safer-buffer 2.1.2 间接依赖 npm
kew 0.7.0 间接依赖 npm
read-pkg-up 1.0.1 间接依赖 npm
argparse 1.0.10 间接依赖 npm
trim-newlines 1.0.0 间接依赖 npm
has-ansi 2.0.0 直接依赖 npm
jshint 2.9.6 间接依赖 npm
repeating 2.0.1 间接依赖 npm
dateformat 1.0.12 间接依赖 npm
load-json-file 1.1.0 间接依赖 npm
mkdirp 0.5.1 间接依赖 npm
currently-unhandled 0.4.1 间接依赖 npm
fd-slicer 1.0.1 间接依赖 npm
strip-ansi 3.0.1 直接依赖 npm
isexe 2.0.0 间接依赖 npm
path-exists 2.1.0 间接依赖 npm
domelementtype 1.3.0 间接依赖 npm
escape-string-regexp 1.0.5 间接依赖 npm
pinkie 2.0.4 间接依赖 npm
split 1.0.1 间接依赖 npm
strip-indent 1.0.1 间接依赖 npm
grunt-contrib-copy 1.0.0 直接依赖 npm
requirejs 2.3.5 间接依赖 npm
grunt-contrib-jshint 1.1.0 直接依赖 npm
ansi-styles 3.2.1 间接依赖 npm
path-is-absolute 1.0.1 间接依赖 npm
json-stringify-safe 5.0.1 间接依赖 npm
semver 5.5.0 间接依赖 npm
fs-extra 1.0.0 间接依赖 npm
process-nextick-args 2.0.0 直接依赖 npm
rimraf 2.6.2 间接依赖 npm
grunt-legacy-util 1.1.1 间接依赖 npm
loud-rejection 1.6.0 间接依赖 npm
dom-serializer 0.1.0 间接依赖 npm
minimatch 3.0.4 间接依赖 npm
es6-promise 4.2.4 间接依赖 npm
entities 1.0.0 间接依赖 npm
graceful-fs 4.1.11 间接依赖 npm
forever-agent 0.6.1 间接依赖 npm
cli 1.0.1 间接依赖 npm
unicode-5.2.0 0.7.5 间接依赖 npm
grunt-known-options 1.1.0 间接依赖 npm
request-progress 2.0.1 间接依赖 npm
brace-expansion 1.1.11 间接依赖 npm
isstream 0.1.2 间接依赖 npm
concat-map 0.0.1 间接依赖 npm
util-deprecate 1.0.2 间接依赖 npm
js-yaml 3.5.5 间接依赖 npm
minimist 1.2.0 间接依赖 npm
meow 3.7.0 间接依赖 npm
domhandler 2.3.0 间接依赖 npm
combined-stream 1.0.6 间接依赖 npm
glob 7.0.6 间接依赖 npm
mime-db 1.35.0 间接依赖 npm
find-up 1.1.2 间接依赖 npm
phantomjs-prebuilt 2.1.16 间接依赖 npm
sprintf-js 1.1.1 间接依赖 npm
path-type 1.1.0 间接依赖 npm
cycle 1.0.3 间接依赖 npm
tough-cookie 2.3.4 间接依赖 npm
nopt 3.0.6 间接依赖 npm
readable-stream 1.1.14 间接依赖 npm
color-name 1.1.1 间接依赖 npm
is-typedarray 1.0.0 间接依赖 npm
hosted-git-info 2.7.1 间接依赖 npm
yauzl 2.4.1 间接依赖 npm
assert-plus 1.0.0 间接依赖 npm
isarray 0.0.1 间接依赖 npm
coffeescript 1.10.0 间接依赖 npm
colors 1.1.2 间接依赖 npm
setuptools 39.2.0 间接依赖 pip
winston 2.4.3 间接依赖 npm
har-schema 2.0.0 间接依赖 npm
ms 2.0.0 间接依赖 npm
delayed-stream 1.0.0 间接依赖 npm
camelcase 2.1.1 间接依赖 npm
wrappy 1.0.2 间接依赖 npm
color-convert 1.9.2 间接依赖 npm
map-obj 1.0.1 间接依赖 npm
debug 2.6.9 间接依赖 npm
pritunl 间接依赖 pip
array-find-index 1.0.2 间接依赖 npm
grunt 1.0.3 直接依赖 npm
grunt-contrib-requirejs 1.0.0 直接依赖 npm
progress 1.1.8 间接依赖 npm
read-pkg 1.1.0 间接依赖 npm
har-validator 5.0.3 间接依赖 npm
builtin-modules 1.1.1 间接依赖 npm
buffer-from 1.1.1 间接依赖 npm
decamelize 1.2.0 间接依赖 npm
ajv 5.5.2 间接依赖 npm
esprima 2.7.3 间接依赖 npm
is-builtin-module 1.0.0 间接依赖 npm
console-browserify 1.1.0 间接依赖 npm
is-stream 1.1.0 间接依赖 npm
pinkie-promise 2.0.1 间接依赖 npm
underscore.string 3.3.4 间接依赖 npm
stack-trace 0.0.10 间接依赖 npm
eventemitter2 0.4.14 间接依赖 npm
abbrev 1.1.1 间接依赖 npm
which 1.3.1 间接依赖 npm
hasha 2.2.0 间接依赖 npm
indent-string 2.1.0 间接依赖 npm
caseless 0.12.0 间接依赖 npm
supports-color 5.4.0 间接依赖 npm
ansi-regex 2.1.1 间接依赖 npm
sshpk 1.14.2 间接依赖 npm
htmlparser2 3.8.3 间接依赖 npm
getobject 0.1.0 间接依赖 npm
resolve 1.1.7 直接依赖 npm
aws4 1.7.0 间接依赖 npm
once 1.4.0 间接依赖 npm
spdx-correct 3.0.0 间接依赖 npm
extract-zip 1.6.7 间接依赖 npm
qs 6.5.2 间接依赖 npm
(0)
上一篇 2024年2月8日
下一篇 2024年2月8日

相关推荐

  • HeZaiJin/AnimatedRecordingView 软件分析报告

    基础信息 项目名称:HeZaiJin/AnimatedRecordingView 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1718574317204979712/1718574317251117056 此报告…

    软件分析 2023年10月29日
    0
  • wx-minapp/minapp-vscode 软件分析报告

    基础信息 项目名称:wx-minapp/minapp-vscode 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721494032314036224/1721494032355979264 此报告由Murphy…

    软件分析 2023年11月6日
    0
  • Dimezis/BlurView 软件分析报告

    基础信息 项目名称:Dimezis/BlurView 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1717162288968499200/1717162297780731904 此报告由Murphysec提供 漏…

    软件分析 2023年10月25日
    0
  • davatron5000/FitVids.js 软件分析报告

    基础信息 项目名称:davatron5000/FitVids.js 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1717066003817037824/1717066010397900800 此报告由Murphy…

    软件分析 2023年10月25日
    0
  • yodaos-project/yodaos 软件分析报告

    基础信息 项目名称:yodaos-project/yodaos 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721668753921974272/1721668753963917312 此报告由Murphyse…

    软件分析 2023年11月7日
    0